## ros-one-rosserial-server 0.9.2-5noble.20251023.0140

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7.2)
project(rosserial_server)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  rosserial_msgs
  std_msgs
  topic_tools
)

find_package(Boost REQUIRED COMPONENTS
  system
  thread
)

find_package(PythonLibs REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS
    roscpp
    rosserial_msgs
    std_msgs
    topic_tools
  LIBRARIES ${PROJECT_NAME}_lookup
)

include_directories(
  include
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}_lookup src/msg_lookup.cpp)
target_link_libraries(${PROJECT_NAME}_lookup ${PYTHON_LIBRARY})
target_include_directories(${PROJECT_NAME}_lookup SYSTEM PRIVATE ${PYTHON_INCLUDE_DIR})

add_executable(${PROJECT_NAME}_serial_node src/serial_node.cpp)
target_link_libraries(${PROJECT_NAME}_serial_node ${catkin_LIBRARIES} ${PROJECT_NAME}_lookup)
set_target_properties(${PROJECT_NAME}_serial_node PROPERTIES OUTPUT_NAME serial_node PREFIX "")
add_dependencies(${PROJECT_NAME}_serial_node ${catkin_EXPORTED_TARGETS})

add_executable(${PROJECT_NAME}_socket_node src/socket_node.cpp)
target_link_libraries(${PROJECT_NAME}_socket_node ${catkin_LIBRARIES} ${PROJECT_NAME}_lookup)
set_target_properties(${PROJECT_NAME}_socket_node PROPERTIES OUTPUT_NAME socket_node PREFIX "")
add_dependencies(${PROJECT_NAME}_socket_node ${catkin_EXPORTED_TARGETS})

add_executable(${PROJECT_NAME}_udp_socket_node src/udp_socket_node.cpp)
target_link_libraries(${PROJECT_NAME}_udp_socket_node ${catkin_LIBRARIES} ${PROJECT_NAME}_lookup)
set_target_properties(${PROJECT_NAME}_udp_socket_node PROPERTIES OUTPUT_NAME udp_socket_node PREFIX "")
add_dependencies(${PROJECT_NAME}_udp_socket_node ${catkin_EXPORTED_TARGETS})

install(
  TARGETS
    ${PROJECT_NAME}_lookup
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(
  TARGETS
    ${PROJECT_NAME}_serial_node
    ${PROJECT_NAME}_socket_node
    ${PROJECT_NAME}_udp_socket_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

## ros-one-rosserial-server 0.9.2-5jammy.20251023.0142

=== debian/changelog ===
ros-one-rosserial-server (0.9.2-5jammy.20251023.0142) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 23 Oct 2025 01:42:15 +0000

ros-one-rosserial-server (0.9.2-0jammy) jammy; urgency=high

  * Add python3-dev as build depend (#544 <https://github.com/ros-drivers/rosserial/issues/544>)
  * Contributors: Tobias Fischer

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 02 Apr 2021 00:00:00 -0000

ros-one-rosserial-server (0.9.1-0jammy) jammy; urgency=high

  * Add boost::thread dependency to rosserial_server (#513 <https://github.com/ros-drivers/rosserial/issues/513>)
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 09 Sep 2020 00:00:00 -0000

ros-one-rosserial-server (0.9.0-0jammy) jammy; urgency=high

  * Only initialize embedded python interpreter once. (#491 <https://github.com/ros-drivers/rosserial/issues/491>)
  * Port 482 and 483 forward from Melodic branch (#492 <https://github.com/ros-drivers/rosserial/issues/492>)
  * Fix warning when using std_msgs/Empty (#482 <https://github.com/ros-drivers/rosserial/issues/482>)
  * Bump minimum CMake version to 3.7.2 (Melodic).
  * Removed unused service client for message info service (#481 <https://github.com/ros-drivers/rosserial/issues/481>)
  * Call io_service.stop() when ros::ok() returns false (#477 <https://github.com/ros-drivers/rosserial/issues/477>)
  * Call Py_Finalize before throwing exception (#476 <https://github.com/ros-drivers/rosserial/issues/476>)
  * [Windows] use c++ signed trait to replace ssize_t for better portability. (#463 <https://github.com/ros-drivers/rosserial/issues/463>)
  * Port rosserial_server to Boost 1.71. (#468 <https://github.com/ros-drivers/rosserial/issues/468>)
  * rosserial_server: update install rules for binary targets (#457 <https://github.com/ros-drivers/rosserial/issues/457>)
  * Fix bug: assign the md5 for service (#449 <https://github.com/ros-drivers/rosserial/issues/449>)
  * Contributors: Hermann von Kleist, Johannes Meyer, Mike Purvis, Sean Yen, 趙　漠居(Zhao, Moju)

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 25 Aug 2020 00:00:00 -0000

ros-one-rosserial-server (0.8.0-0jammy) jammy; urgency=high

  * Fix compiling on boost > 1.66 (#362 <https://github.com/ros-drivers/rosserial/issues/362>)
    Reflective of changes made to boost::asio noted here:
    http://www.boost.org/doc/libs/1_66_0/doc/html/boost_asio/net_ts.html
  * Contributors: Fan Jiang

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 11 Oct 2018 00:00:00 -0000

ros-one-rosserial-server (0.7.7-0jammy) jammy; urgency=high

  * Fix catkin lint errors (#296 <https://github.com/ros-drivers/rosserial/issues/296>)
  * Contributors: Bei Chen Liu

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 29 Nov 2017 00:00:00 -0000

ros-one-rosserial-server (0.7.6-0jammy) jammy; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 01 Mar 2017 00:00:00 -0000

ros-one-rosserial-server (0.7.5-0jammy) jammy; urgency=high

  * Fixing build errors for boost >=1.60 (#226 <https://github.com/ros-drivers/rosserial/issues/226>) (#250 <https://github.com/ros-drivers/rosserial/issues/250>)
  * Contributors: Malte Splietker

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 22 Nov 2016 00:00:00 -0000

ros-one-rosserial-server (0.7.4-0jammy) jammy; urgency=high

  * Use catkin_EXPORTED_TARGETS to avoid CMake warning (#246 <https://github.com/ros-drivers/rosserial/issues/246>)
  * Fix AsyncReadBuffer for UDP socket case. (#245 <https://github.com/ros-drivers/rosserial/issues/245>)
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 21 Sep 2016 00:00:00 -0000

ros-one-rosserial-server (0.7.3-0jammy) jammy; urgency=high

  * Avoid runaway async condition when port is bad. (#236 <https://github.com/ros-drivers/rosserial/issues/236>)
  * Add missing install rule for udp_socket_node
  * Make the ~require param configurable from Session. (#233 <https://github.com/ros-drivers/rosserial/issues/233>)
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 05 Aug 2016 00:00:00 -0000

ros-one-rosserial-server (0.7.2-0jammy) jammy; urgency=high

  * Implementation of native UDP rosserial server. (#231 <https://github.com/ros-drivers/rosserial/issues/231>)
  * Explicit session lifecycle for the serial server. (#228 <https://github.com/ros-drivers/rosserial/issues/228>)
    This is a long overdue change which will resolve some crashes when
    USB serial devices return error states in the face of noise or other
    interruptions.
  * Support for VER1 protocol has been dropped.
  * Handle log messages in rosserial_server
  * Contributors: Mike Purvis, mkrauter

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 15 Jul 2016 00:00:00 -0000

ros-one-rosserial-server (0.7.1-0jammy) jammy; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 06 Jul 2015 00:00:00 -0000

ros-one-rosserial-server (0.7.0-0jammy) jammy; urgency=high

  * Fill out description field in package.xml.
  * Bugfix for checksum.
    Publishing topics fails when messages are over 256 bytes in length due to checksum() function or'ing high and low byte instead of adding them.
  * rosserial_server: Properly receive messages > 255 bytes.
  * Contributors: Chad Attermann, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 23 Apr 2015 00:00:00 -0000

ros-one-rosserial-server (0.6.3-0jammy) jammy; urgency=high

  * Add more log output, don't end the session for certain write errors.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 05 Nov 2014 00:00:00 -0000

ros-one-rosserial-server (0.6.2-0jammy) jammy; urgency=high

  * Bugfix for interrupted sessions.
    This is a two-part fix for an issue causes a segfault when the device
    disappears during operation, for example a ttyACM device which is unplugged.


=== debian/control ===
Source: ros-one-rosserial-server
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libboost-thread-dev, python3-dev, ros-one-catkin, ros-one-roscpp, ros-one-rosserial-msgs, ros-one-std-msgs, ros-one-topic-tools
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-rosserial-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-thread1.74.0, ros-one-roscpp, ros-one-rosserial-msgs, ros-one-std-msgs, ros-one-topic-tools
Description: A more performance- and stability-oriented server alternative implemented in C++ to rosserial_python.

## ros-one-rosserial-server 0.9.2-5jammy.20260220.2231

=== debian/changelog ===
ros-one-rosserial-server (0.9.2-5jammy.20260220.2231) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 20 Feb 2026 22:31:18 +0000

## ros-one-rosserial-server 0.9.2-5noble.20250531.2246

=== debian/changelog ===
ros-one-rosserial-server (0.9.2-5noble.20250531.2246) UNRELEASED; urgency=high

  * noble Append timestamp when binarydeb was built.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sat, 31 May 2025 22:46:54 +0000

ros-one-rosserial-server (0.9.2-0noble) noble; urgency=high

  * Add python3-dev as build depend (#544 <https://github.com/ros-drivers/rosserial/issues/544>)
  * Contributors: Tobias Fischer

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 02 Apr 2021 00:00:00 -0000

ros-one-rosserial-server (0.9.1-0noble) noble; urgency=high

  * Add boost::thread dependency to rosserial_server (#513 <https://github.com/ros-drivers/rosserial/issues/513>)
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 09 Sep 2020 00:00:00 -0000

ros-one-rosserial-server (0.9.0-0noble) noble; urgency=high

  * Only initialize embedded python interpreter once. (#491 <https://github.com/ros-drivers/rosserial/issues/491>)
  * Port 482 and 483 forward from Melodic branch (#492 <https://github.com/ros-drivers/rosserial/issues/492>)
  * Fix warning when using std_msgs/Empty (#482 <https://github.com/ros-drivers/rosserial/issues/482>)
  * Bump minimum CMake version to 3.7.2 (Melodic).
  * Removed unused service client for message info service (#481 <https://github.com/ros-drivers/rosserial/issues/481>)
  * Call io_service.stop() when ros::ok() returns false (#477 <https://github.com/ros-drivers/rosserial/issues/477>)
  * Call Py_Finalize before throwing exception (#476 <https://github.com/ros-drivers/rosserial/issues/476>)
  * [Windows] use c++ signed trait to replace ssize_t for better portability. (#463 <https://github.com/ros-drivers/rosserial/issues/463>)
  * Port rosserial_server to Boost 1.71. (#468 <https://github.com/ros-drivers/rosserial/issues/468>)
  * rosserial_server: update install rules for binary targets (#457 <https://github.com/ros-drivers/rosserial/issues/457>)
  * Fix bug: assign the md5 for service (#449 <https://github.com/ros-drivers/rosserial/issues/449>)
  * Contributors: Hermann von Kleist, Johannes Meyer, Mike Purvis, Sean Yen, 趙　漠居(Zhao, Moju)

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 25 Aug 2020 00:00:00 -0000

ros-one-rosserial-server (0.8.0-0noble) noble; urgency=high

  * Fix compiling on boost > 1.66 (#362 <https://github.com/ros-drivers/rosserial/issues/362>)
    Reflective of changes made to boost::asio noted here:
    http://www.boost.org/doc/libs/1_66_0/doc/html/boost_asio/net_ts.html
  * Contributors: Fan Jiang

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 11 Oct 2018 00:00:00 -0000

ros-one-rosserial-server (0.7.7-0noble) noble; urgency=high

  * Fix catkin lint errors (#296 <https://github.com/ros-drivers/rosserial/issues/296>)
  * Contributors: Bei Chen Liu

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 29 Nov 2017 00:00:00 -0000

ros-one-rosserial-server (0.7.6-0noble) noble; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 01 Mar 2017 00:00:00 -0000

ros-one-rosserial-server (0.7.5-0noble) noble; urgency=high

  * Fixing build errors for boost >=1.60 (#226 <https://github.com/ros-drivers/rosserial/issues/226>) (#250 <https://github.com/ros-drivers/rosserial/issues/250>)
  * Contributors: Malte Splietker

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 22 Nov 2016 00:00:00 -0000

ros-one-rosserial-server (0.7.4-0noble) noble; urgency=high

  * Use catkin_EXPORTED_TARGETS to avoid CMake warning (#246 <https://github.com/ros-drivers/rosserial/issues/246>)
  * Fix AsyncReadBuffer for UDP socket case. (#245 <https://github.com/ros-drivers/rosserial/issues/245>)
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 21 Sep 2016 00:00:00 -0000

ros-one-rosserial-server (0.7.3-0noble) noble; urgency=high

  * Avoid runaway async condition when port is bad. (#236 <https://github.com/ros-drivers/rosserial/issues/236>)
  * Add missing install rule for udp_socket_node
  * Make the ~require param configurable from Session. (#233 <https://github.com/ros-drivers/rosserial/issues/233>)
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 05 Aug 2016 00:00:00 -0000

ros-one-rosserial-server (0.7.2-0noble) noble; urgency=high

  * Implementation of native UDP rosserial server. (#231 <https://github.com/ros-drivers/rosserial/issues/231>)
  * Explicit session lifecycle for the serial server. (#228 <https://github.com/ros-drivers/rosserial/issues/228>)
    This is a long overdue change which will resolve some crashes when
    USB serial devices return error states in the face of noise or other
    interruptions.
  * Support for VER1 protocol has been dropped.
  * Handle log messages in rosserial_server
  * Contributors: Mike Purvis, mkrauter

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 15 Jul 2016 00:00:00 -0000

ros-one-rosserial-server (0.7.1-0noble) noble; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 06 Jul 2015 00:00:00 -0000

ros-one-rosserial-server (0.7.0-0noble) noble; urgency=high

  * Fill out description field in package.xml.
  * Bugfix for checksum.
    Publishing topics fails when messages are over 256 bytes in length due to checksum() function or'ing high and low byte instead of adding them.
  * rosserial_server: Properly receive messages > 255 bytes.
  * Contributors: Chad Attermann, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 23 Apr 2015 00:00:00 -0000

ros-one-rosserial-server (0.6.3-0noble) noble; urgency=high

  * Add more log output, don't end the session for certain write errors.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 05 Nov 2014 00:00:00 -0000

ros-one-rosserial-server (0.6.2-0noble) noble; urgency=high

  * Bugfix for interrupted sessions.
    This is a two-part fix for an issue causes a segfault when the device
    disappears during operation, for example a ttyACM device which is unplugged.


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-rosserial-server//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-rosserial-server 0.9.2-5noble.20251023.0140

=== debian/changelog ===
ros-one-rosserial-server (0.9.2-5noble.20251023.0140) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 23 Oct 2025 01:40:12 +0000

=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: ros-one-rosserial-server
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-thread1.74.0, ros-one-roscpp, ros-one-rosserial-msgs, ros-one-std-msgs, ros-one-topic-tools
+Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-thread1.83.0, ros-one-roscpp, ros-one-rosserial-msgs, ros-one-std-msgs, ros-one-topic-tools
 Description: A more performance- and stability-oriented server alternative implemented in C++ to rosserial_python.

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,7 @@
 	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
 	dh_auto_configure -- \
+		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
 		-DCMAKE_PREFIX_PATH="/opt/ros/one" \

## ros-one-rosserial-server 0.9.2-5noble.20260220.2244

=== debian/changelog ===
ros-one-rosserial-server (0.9.2-5noble.20260220.2244) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 20 Feb 2026 22:44:30 +0000
